Bug 1737102 - vSphere UPI: invalid guest ID "other26xLinux64Guest" for clone. Please set it to "rhel7_64Guest"
Summary: vSphere UPI: invalid guest ID "other26xLinux64Guest" for clone. Please set it...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.2.0
Assignee: Joseph Callen
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks: 1741287
TreeView+ depends on / blocked
 
Reported: 2019-08-02 16:16 UTC by Joseph Callen
Modified: 2019-10-16 06:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1741287 (view as bug list)
Environment:
Last Closed: 2019-10-16 06:34:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2145 'None' 'closed' 'Bug 1737102: vSphere UPI - Use template guest_id for machines guest_id' 2019-12-02 17:25:49 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:34:42 UTC

Description Joseph Callen 2019-08-02 16:16:47 UTC
Description of problem:
Reported by Jan Safranek on #warroom-vmware
https://coreos.slack.com/archives/CH06KMDRV/p1564135021041400

* module.compute.vsphere_virtual_machine.vm[0]: invalid guest ID "other26xLinux64Guest" for clone. Please set it to "rhel7_64Guest"
* module.compute.vsphere_virtual_machine.vm[2]: invalid guest ID "other26xLinux64Guest" for clone. Please set it to "rhel7_64Guest"
* module.compute.vsphere_virtual_machine.vm[1]: invalid guest ID "other26xLinux64Guest" for clone. Please set it to "rhel7_64Guest"

The latest RHCOS OVAs have guest_id set to rhel7_64Guest rather than other26xLinux64Guest.

Comment 3 Gaoyun Pei 2019-08-24 04:12:11 UTC
PR#2145 works well with using rhcos-42.80.20190809.0, no such issue happened. Thanks.

Comment 4 errata-xmlrpc 2019-10-16 06:34:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.